Subject: bug#36167: [PATCH v2] Replace manually crafted hex regexes with [[:xdigit:]]

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Jul 2019 15:11:54 +0300

> Date: Mon, 08 Jul 2019 12:34:32 +0300
> From: Konstantin Kharlamov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> 
> > The log message was mis-formatted, which required me to tediously fix
> > it by hand. Please in the future format the entries using "C-x 4 a"
> > or similar commands, to avoid that, okay? In particular, lines longer
> > than 78 characters abort "git am", so please verify this doesn't
> > happen in the patches you submit. "C-x 4 a" and friends format the
> > entries with leading TABs which you can later remove with "C-x TAB",
> > and that produces the optimal results, including when the log messages
> > are later used to generate ChangeLog files in the release tarballs.
> 
> Thank you! And sorry about that.

No sweat, mistakes do happen.

> Anyway, IIRC I have used "C-x 4 a" to create the commit message, but
> then I re-formatted it to look more similar to other commits I've
> seen. Probably I shouldn't have touched it…

Yes, my recommendation is to do only "C-u -8 C-x TAB" and nothing else
to reformat the entries into commit log messages.  This just removes
the leading whitespace.  Also, I recommend to have auto-fill-mode
enabled in the buffer where you edit the log messages.

> About git-am: this is unfortunate

It isn't git-am per se, it's our hooks.